package com.hibernate.chapter1;

import java.sql.Date;
import java.util.GregorianCalendar;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.classic.Session;
import org.hibernate.tool.hbm2ddl.SchemaExport;

public class TestEmployee {

	public static void main(String[] args) {
		AnnotationConfiguration config = new AnnotationConfiguration();
		config.addAnnotatedClass(Employee.class);
		config.configure("hibernate.cfg.xml");
		
		// only need to run once to create tables
		//new SchemaExport(config).create(true,true);
		
		SessionFactory factory = config.buildSessionFactory();
		Session session = factory.getCurrentSession();
		
		session.beginTransaction();
		
		{
			Employee alex = new Employee();
//			alex.setEmpId(100);
			alex.setEmpName("Alex Berry");
			alex.setEmpEmailAddress("alex@hibernate.com");
			alex.setEmpPassword("alexpass");
			alex.setPermanent(true);
			alex.setEmpJoinDate(new GregorianCalendar(2009,05,26));
			alex.setEmpLoginTime(Date.valueOf("2010-06-05"));

			session.save(alex);
		}{
			Employee linda = new Employee();
//			alex.setEmpId(100);
			linda.setEmpName("Linda Chase");
			linda.setEmpEmailAddress("linda@hibernate.com");
			linda.setEmpPassword("lindapass");
			linda.setPermanent(true);
			linda.setEmpJoinDate(new GregorianCalendar(2009,05,26));
			linda.setEmpLoginTime(Date.valueOf("2010-06-05"));

			session.save(linda);
		}{
			Employee john = new Employee();
//			alex.setEmpId(100);
			john.setEmpName("John Berry");
			john.setEmpEmailAddress("john@hibernate.com");
			john.setEmpPassword("johnpass");
			john.setPermanent(true);
			john.setEmpJoinDate(new GregorianCalendar(2009,05,26));
			john.setEmpLoginTime(Date.valueOf("2010-06-05"));

			session.save(john);
			
		}		
		
		session.getTransaction().commit();
	}
}
