package com.hibernate.chapter2;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.classic.Session;
import org.hibernate.tool.hbm2ddl.SchemaExport;

public class TestCustomer {

	public static void main(String[] args) {
		AnnotationConfiguration config = new AnnotationConfiguration();
		config.addAnnotatedClass(Customer.class);
		config.configure("hibernate.cfg.xml");
		
		// only need to run once to create tables
		new SchemaExport(config).create(true,true);
		
		SessionFactory factory = config.buildSessionFactory();
		Session session = factory.getCurrentSession();
		
		session.beginTransaction();
		
		{
			Customer alex = new Customer();
			alex.setCustomerName("Alex Rod");
			alex.setCustomerAddress("101 Washington st, DC");
			alex.setCreditScore(780);
			alex.setRewardPoints(12000);
			
			session.save(alex);
		}
		
		session.beginTransaction().commit();

	}

}
