package com.hibernate.chapter3;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.classic.Session;
import org.hibernate.tool.hbm2ddl.SchemaExport;

public class TestSchool {

	public static void main(String[] args) {
		AnnotationConfiguration config = new AnnotationConfiguration();
		config.addAnnotatedClass(School.class);
		config.configure("hibernate.cfg.xml");
		
		// only need to run once to create tables
		new SchemaExport(config).create(true,true);
		
		SessionFactory factory = config.buildSessionFactory();
		Session session = factory.getCurrentSession();
		
		session.beginTransaction();
		
		{
			SchoolDetail annsDetail = new SchoolDetail();
			annsDetail.setPublicSchool(false);
			annsDetail.setSchoolAddress("101 Washington DC");
			annsDetail.setStudentCount(300);

			School stanns = new School();
			stanns.setSchoolDetail(annsDetail);
			stanns.setSchoolName("St. Anns School");
			
			session.save(stanns);
		}
		
		session.beginTransaction().commit();

	}

}
