package edu.jhu.cs.oose.fall2014.group16.brainAnalysis.model;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="ImageDataTBL")
public class ImageData {

	private String imagePath;
	private String fileFormat;
	
	/**
	 * Constructor to create a piece of image data
	 * @param imagePath A string indicating the location that the image data is stored
	 */
	public ImageData(String imagePath) {
		this.imagePath = imagePath;
	}

	/**
	 * Getter method for image's file path
	 * @return String of the image's file path
	 */
	@Id
	public String getImagePath() {
		return imagePath;
	}

	/**
	 * Setter method for image's filepath
	 * @param imagePath where the image data is stored
	 */
	public void setImagePath(String imagePath) {
		this.imagePath = imagePath;
	}

	/**
	 * Getter method for getting the image data's file format
	 * @return String indicating the image data's file format
	 */
	public String getFileFormat() {
		return fileFormat;
	}

	/**
	 * Setter method for the image data's file format
	 * @param fileFormat specifying the file format of the image
	 */
	public void setFileFormat(String fileFormat) {
		this.fileFormat = fileFormat;
	}
	
}
