package edu.jhu.cs.oose.fall2014.group16.brainAnalysis.model;

import java.io.FileNotFoundException;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="ProcessTypeTBL")
public class ProcessType {

	private String name;
	private String path;
	
	/**
	 * Constructor to specify a image processing option/algorithm
	 * @param name The name of the image processing algorithm
	 * @param path The path to the code for the image processing
	 */
	public ProcessType(String name, String path) {
		this.name = name;
		this.path = path;
	}
	
	/**
	 * Compute the processed image given a raw image input and a processing type. This is where cooool things happen!
	 * @param image Input raw image
	 * @return ProcessedImage with filepath pointing to where image is saved
	 */
	public ProcessedImage process(RawImage image) throws FileNotFoundException {
		return null;
	}

	/**
	 * Getter method for the process type name
	 * @return String of the process type name
	 */
	@Id
	public String getName() {
		return name;
	}

	/**
	 * Setter method for the process type name
	 * @param String name for the process type
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Getter method for the process type code path
	 * @return String where the code is saved
	 */
	public String getPath() {
		return path;
	}
	
	/**
	 * Setter method for the process type code path
	 * @param path at where the process type is saved
	 */
	public void setPath(String path) {
		this.path = path;
	}
}
