package edu.jhu.cs.oose.fall2014.group16.brainAnalysis.model;

import java.io.File;

public class ProcessedImage extends Image {

	private ProcessType processType;
	File rawData;
	
	/**
	 * Constructor to create a new ProcessedImage based on the input file.
	 * @param rawData A raw data file
	 */
	public ProcessedImage(File rawData) {
		super(rawData);
		this.rawData = rawData;
		this.setProcessType(null);
		
	}
	
	/**
	 * Constructor to create a new ProcessedImage based on the input file.
	 * @param rawData A raw data file
	 * @param processType The processed used on the image
	 */
	public ProcessedImage(File rawData, ProcessType process) {
		super(rawData);
		this.rawData = rawData;
		this.setProcessType(process);
		
	}
	
	/**
	 * Constructor to create a new ProcessedImage based on the input file. Gives procesing type
	 * @param the process type
	 * @param A raw data file
	 */
	public ProcessedImage(ProcessType type, File rawData) {
		super(rawData);
		this.rawData = rawData;
		this.setProcessType(type);
	}

	/**
	 * @return the processType
	 */
	public ProcessType getProcessType() {
		return processType;
	}

	/**
	 * @param processType the processType to set
	 */
	private void setProcessType(ProcessType processType) {
		this.processType = processType;
	}
	
}
