package edu.jhu.cs.oose.fall2014.group16.brainAnalysis.model;

import java.io.File;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="RawImageTBL")
public class RawImage extends Image {

	File rawData;
	
	/**
	 * Constructor to create a new RawImage based on the input file.
	 * @param A raw data file
	 */
	public RawImage(File rawData) {
		super(rawData);
		this.rawData = rawData;
	}

	/**
	 * Getter method for the raw image data file
	 * @return File containing the information pointing to the raw image data
	 */
	@Id
	public File getRawData() {
		return rawData;
	}

	/**
	 * Setter method for the raw image data file
	 * @param rawData specification for the file raw data
	 */
	public void setRawData(File rawData) {
		this.rawData = rawData;
	}

	/**
	 * Returns a processed image. Function calls process from ProcessType on the raw image
	 * @param type An Image processing type
	 * @return ProcessedImage where the raw image is transformed with the given processing type
	 */
	public ProcessedImage processImage(ProcessType type) {
		return null;
	}
}
