package edu.jhu.cs.oose.fall2014.group16.brainAnalysis.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Embedded;
import javax.persistence.Transient;

@Embeddable
public class Subject {

	private String name;
	private Date dateOfBirth;
	private Demographic demographics;
	private String ID;
	
	public Subject() {
		
	}
	
	/**
	 * Constructor for creating a new test subject
	 * @param name String of the subject's name
	 * @param id String of the unique ID given to the subject
	 * @param dateOfBirth Date on which the subject was born
	 */
	public Subject(String name, String id, Date dateOfBirth) {
		this.name = name;
		this.ID = id;
		this.dateOfBirth = dateOfBirth;
	}

	/**
	 * Getter method to return subject's date of birth
	 * @return Date on which subject was born
	 */
	public Date getDateOfBirth() {
		return dateOfBirth;
	}
	public void setDateOfBirth(Date dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}
	/**
	 * Getter method for the subject's demographic attribute
	 * @return Demographic of the user
	 */
	@Transient
	public Demographic getDemographics() {
		return demographics;
	}

	/**
	 * Setter method for the subject's demographic attribute
	 * @param demographics of the subject
	 */
	public void setDemographics(Demographic demographics) {
		this.demographics = demographics;
	}
	
	/**
	 * Getter method to return subject's ID
	 * @return String of subject's unique ID
	 */
	@Column(name="SubjectID")
	public String getID() {
		return ID;
	}
	public void setID(String iD) {
		ID = iD;
	}
	/**
	 * Getter method to return subject's name
	 * @return String of subject's name
	 */
	@Column(name="SubjectName")
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
}
